# GitHub organizations

## Analyzing an organization project

[GitHub organizations](https://help.github.com/en/github/setting-up-and-managing-organizations-and-teams/about-organizations) are shared GitHub accounts where businesses and open-source teams can collaborate on the same projects.

Projects owned by an organization are called organization projects. There are only two prerequisites to analyze such projects:

1. TrustInSoft CI must be [granted access](/reference/github-organizations.md#granting-access-to-trustinsoft-ci) to the organization owning the project.<br>
2. Only an organization [owner ](https://help.github.com/en/github/setting-up-and-managing-organizations-and-teams/permission-levels-for-an-organization)(admin) can add such project to TrustInSoft CI. This permission will be required for any TrustInSoft CI operation on the project (adding/deleting the project) or its analyses (canceling/restarting an analysis).

Then, your organization should appear:

* either in the navigation bar:

![](/files/-Mdbmmn0p2zLbUGRN01k)

* or in the "[Add project](https://ci.trust-in-soft.com/projects/add-project)" page:

![](/files/-MdbnD04dgrAJOF2noz8)

* or in the "[Dashboard](https://ci.trust-in-soft.com/dashboard)" page:

![](/files/-Meer7ZQmHao1seZJXuU)

## Granting access to your organization

There are two ways to grant TrustInSoft CI access to your organization.

### **During sign-up**

On the GitHub authorization page, click **Grant** next to the organization:

![User "guillaumemillot1" owns "guillaumeorg1" and is member of "paulorg1"](/files/-M-uFUJd5cXD3igPNKrR)

### After sign-up

1. Load your [GitHub account settings page](https://github.com/organizations/TrustInSoft/settings/profile)
2. In the Personal settings, click **Applications**
3. Click **Authorized OAuth Apps**
4. Click **TrustInSoft CI**
5. Click **Grant** next to the organization

![](/files/-M44OWlWAMaP0XCbNXOj)

![](/files/-M44OqtC3faPx9LB4sKu)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ci.trust-in-soft.com/reference/github-organizations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
